//
//  MWUpdater.h
//  MWUpdater
//
//  Created by Jim McGowan on 4/9/13.
//  Copyright (c) 2013 Malkinware. All rights reserved.
//
//  See License.txt for license info.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSUInteger, UpdateAction)
{
    DownloadFileViaBrowser = 0,
    OpenInfoURLInBrowser
};


@interface MWUpdater : NSObject

- (IBAction)checkForUpdates:(id)sender;

// These properties will persist in the host app's user defaults
@property (strong) NSURL *appcastURL;
@property UpdateAction updateAction; // Set which action the 'Download' button takes: Download the appcast items enclosed file or open the appcast item's Info URL (both via the user's default browser)
@property BOOL automaticallyCheckForUpdates;    
@property NSTimeInterval automaticUpdateCheckInterval; // Minimum is one day (86400.0)

@end
